Package com.tietoenator.trip.jxp.session

# Interface TdbHostInterface

public interface TdbHostInterface
Basic definition of what it means to be a host interface, i.e. the ability to take an XML document request and produce an XML document response

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `close()`
  Close the connection, release any associated resources
  `TdbInterfaceType`
  `getInterfaceType()`
  Return a value from the TdbInterfaceType interface, specifying the type of connection supported by this host interface
  `int[]`
  `getKernelVersion()`
  Get the TRIPsystem kernel version.
  `boolean`
  `isConnected()`
  Returns true if there is a physical or networked connection to the server
  `void`
  `reconnect()`
  Shut down any existing connection and estalish a new one in place.
  `Document`
  `XmlApi(Document request)`
  Perform an XML request, return an XML response

- ## Method Details

  - ### XmlApi

    Document XmlApi(Document request) throws TdbException
    Perform an XML request, return an XML response
    Parameters:
      `request` - The request
    Returns:
      The response
    Throws:
      `TdbException`

  - ### getKernelVersion

    int[] getKernelVersion() throws TdbException
    Get the TRIPsystem kernel version.
    Returns:
      An int array of size 4 with the individual version numbers.
    Throws:
      `TdbException`

  - ### getInterfaceType

    TdbInterfaceType getInterfaceType()
    Return a value from the TdbInterfaceType interface, specifying the type of connection supported by this host interface
    Returns:
      The type of interface supported

  - ### isConnected

    boolean isConnected()
    Returns true if there is a physical or networked connection to the server
    Returns:
      True if connected

  - ### close

    void close() throws TdbException
    Close the connection, release any associated resources
    Throws:
      `TdbException`

  - ### reconnect

    void reconnect() throws TdbException
    Shut down any existing connection and estalish a new one in place.
    Throws:
      `TdbException`